/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que gestiona les caterogies de cursos Moodle
 */

package edu.manelherrera.pfc.bus;

import java.util.Hashtable;

import net.patrickpollet.moodlews_gson.core.CategoryRecord;
import edu.manelherrera.pfc.cla.Category;
import edu.manelherrera.pfc.cla.Session;
import edu.manelherrera.pfc.dat.WSMgr;

public class CategoryMgr {
	
	private Session session;
	private Hashtable<Integer,Category> categories;
	
	public CategoryMgr (Session session) {
		setSession(session);
		categories = new Hashtable<Integer,Category>();
	}

	/*
	 * Getters and setters
	 */
	private void setSession(Session session) {
		this.session = session;
	}
	private Session getSession() {
		return session;
	}

	/*
	 * Retorna categories
	 */
	public Hashtable<Integer,Category> getCategories () {
		readCategories();
		return categories;
	}
	
	/*
	 * Llegeix categories del WS
	 */
	public Hashtable<Integer,Category> readCategories() {
		WSMgr wsMgr = new WSMgr(getSession());
		CategoryRecord[] categoryRecord = wsMgr.readCategories();
		categories.clear();
		int i = 0;
		while (i < categoryRecord.length) {
			categories.put(categoryRecord[i].getId(), new Category(categoryRecord[i].getId(), 
					categoryRecord[i].getName(), categoryRecord[i].getDescription(), 
					categoryRecord[i].getParent()));
			i++;
		}
		return categories;
	}
	
}
