/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que gestiona els logins Moodle
 */

package edu.manelherrera.pfc.bus;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.res.Resources;
import edu.manelherrera.pfc.cla.Login;
import edu.manelherrera.pfc.cla.Session;
import edu.manelherrera.pfc.dat.WSMgr;
import edu.manelherrera.pfc.pre.R;

public class LoginMgr {

	private Login login;
	private SharedPreferences sharedPrefs;
	private Context context;
	private Session session;
	
	public LoginMgr(SharedPreferences sharedPrefs, Context context) {
		setContext(context);
		setSharedPrefs(sharedPrefs);
	}
	
	/*
	 * Getters i setters
	 */
	private void setLogin(Login login) {
		this.login = login;
	}
	
	private void setSharedPrefs(SharedPreferences sharedPrefs) {
		this.sharedPrefs = sharedPrefs;
	}
	
	private void setContext(Context context) {
		this.context = context;
	}
	
	private void setSession(Session session) {
		this.session = session;
	}
	
	private Login getLogin() {
		return this.login;
	}
	
	private SharedPreferences getSharedPrefs() {
		return this.sharedPrefs;
	}
	
	private Context getContext() {
		return context;
	}
	
	private Session getSession() {
		return session;
	}
	
	/*
	 * Inici sessio
	 */
	public Session Login(Login login) {
		setLogin(login);
		PrefsMgr prefsMgr = new PrefsMgr(getSharedPrefs());
		WSMgr wsMgr = new WSMgr(prefsMgr.getPrefs().getServer(), getLogin().getUsr(),
				getLogin().getPwd(), getLogin().getToken());	
		setSession(wsMgr.getSession());
		return getSession();
	}
	
	/*
	 * Finalitza sessio
	 */
	public boolean Logout(Session session) {
		WSMgr wsMgr = new WSMgr(getSession());	
		return wsMgr.logout(session);
	}
	
	/* 
	 * Valida usuari i pwd
	 */
	public String validateUserData(Login login){
		Resources r = getContext().getResources();
		
		if (login.getUsr().compareTo("") == 0 || 
				login.getPwd().compareTo("") == 0) {
			return r.getString(R.string.err_usr_pwd);
		} else {
			return null;
		}
	}
}
