/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que gestiona les preferencies de l'aplicaci
 */

package edu.manelherrera.pfc.bus;

import edu.manelherrera.pfc.cla.Prefs;
import edu.manelherrera.pfc.dat.DBMgr;
import android.content.SharedPreferences;

public class PrefsMgr {

	Prefs prefs;
	SharedPreferences sharedPrefs;
	
	public PrefsMgr(SharedPreferences sharedPrefs) {
		setsharedPrefs(sharedPrefs);
		readPrefs();
	}
	
	/*
	 * Getters i setters
	 */
	private void setsharedPrefs(SharedPreferences sharedPrefs) {
		this.sharedPrefs = sharedPrefs;
	}
	
	private void setPrefs(Prefs prefs) {
		this.prefs = prefs;
	}
	
	private SharedPreferences getsharedPrefs() {
		return this.sharedPrefs;
	}
	
	public Prefs getPrefs() {
		return this.prefs;
	}
	
	/*
	 * Llegeix preferncies
	 */
	private void readPrefs() {
		DBMgr dbMgr = new DBMgr(getsharedPrefs());
		setPrefs(dbMgr.readPrefs());
	}
	
	/*
	 * Grava preferencies
	 */
	public void writePrefs(Prefs prefs) {
		setPrefs(prefs);
		DBMgr dbMgr = new DBMgr(getsharedPrefs());
		dbMgr.writePrefs(getPrefs());
	}
}
