/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que modela un curs Moodle
 */

package edu.manelherrera.pfc.cla;

import android.os.Parcel;
import android.os.Parcelable;


public class Course implements Parcelable {
	
	private int id;
	private int categoryId;
	private String category;
	private String shortName;
	private String fullName;
	private String summary;
	private String idNumber;
	
	public Course (int categoryId, String category, String shortName, String fullName,
			String summary) {
		setFullName(fullName);
		setShortName(shortName);
		setSummary(summary);
		setCategory(category);
		setCategoryId(categoryId);
	}
	
	public Course (String idNumber, int categoryId, String shortName, 
			String fullName, String summary) {
		setIdNumber(idNumber);
		setFullName(fullName);
		setShortName(shortName);
		setSummary(summary);
		setCategoryId(categoryId);
	}

	public Course (int id, String idNumber, int categoryId, String category, String shortName, 
			String fullName, String summary) {
		setId(id);
		setIdNumber(idNumber);
		setFullName(fullName);
		setShortName(shortName);
		setSummary(summary);
		setCategory(category);
		setCategoryId(categoryId);
	}

	private void setId(int id) {
		this.id = id;
	}

	private void setFullName(String fullName) {
		this.fullName = fullName;
	}

	private void setShortName(String shortName) {
		this.shortName = shortName;
	}

	private void setSummary(String summary) {
		this.summary = summary;
	}

	private void setCategory(String category) {
		this.category = category;
	}

	private void setCategoryId(int categoryId) {
		this.categoryId = categoryId;
	}
	
	public void setIdNumber(String idNumber) {
		this.idNumber = idNumber;
	}
	
	public String getFullName() {
		return fullName;
	}

	public int getId() {
		return id;
	}

	public String getShortName() {
		return shortName;
	}

	public String getSummary() {
		return summary;
	}

	public String getCategory() {
		return category;
	}
	
	public int getCategoryId() {
		return categoryId;
	}
	
	public String getIdNumber() {
		return idNumber;
	}
	
	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel out, int flags) {
		out.writeInt(getId());
		out.writeInt(getCategoryId());
		out.writeString(getCategory());
		out.writeString(getShortName());
		out.writeString(getFullName());
		out.writeString(getSummary());
		out.writeString(getIdNumber());
	}
	
    public static final Parcelable.Creator<Course> CREATOR
    	= new Parcelable.Creator<Course>() {
    	public Course createFromParcel(Parcel in) {
    		return new Course(in);
    	}         
    	public Course[] newArray(int size) {
    		return new Course[size];
    	}
    };        
    
    private Course(Parcel in) {
    	setId(in.readInt());
    	setCategoryId(in.readInt());
    	setCategory(in.readString());
    	setShortName(in.readString());
    	setFullName(in.readString());
    	setSummary(in.readString());     
    	setIdNumber(in.readString());
    }
}
