/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que modela una sessi Moodle
 */

package edu.manelherrera.pfc.cla;

import android.os.Parcel;
import android.os.Parcelable;


public class Session implements Parcelable{

	private String url;
	private String key;
	private int client;
	private int userId;
	private String userName;
	private String userDesc;
	
	public Session (String url, String key, int client, int userId, String userName, String userDesc) {
		setUrl(url);
		setKey(key);
		setClient(client);
		setUserId(userId);
		setUserName(userName);
		setUserDesc(userDesc);
	}
	
	private void setUrl (String url) {
		this.url = url;
	}
	
	private void setKey (String key) {
		this.key = key;
	}
	
	private void setClient (int client) {
		this.client = client;
	}
	
	private void setUserId (int userId) {
		this.userId = userId;
	}
	
	private void setUserName (String userName) {
		this.userName = userName;
	}
	
	private void setUserDesc (String userDesc) {
		this.userDesc = userDesc;
	}
	
	public String getUrl () {
		return this.url;
	}
	
	public String getKey () {
		return this.key;
	}
	
	public int getClient () {
		return this.client;
	}
	
	public int getUserId () {
		return this.userId;
	}
	
	public String getUserName () {
		return this.userName;
	}
	
	public String getUserDesc () {
		return this.userDesc;
	}

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel out, int flags) {
		out.writeString(getUrl());
		out.writeString(getKey());
		out.writeInt(getClient());
		out.writeInt(getUserId());
		out.writeString(getUserName());
		out.writeString(getUserDesc());
	}
	
    public static final Parcelable.Creator<Session> CREATOR
    	= new Parcelable.Creator<Session>() {
    	public Session createFromParcel(Parcel in) {
    		return new Session(in);
    	}         
    	public Session[] newArray(int size) {
    		return new Session[size];
    	}
    };        
    
    private Session(Parcel in) {
    	setUrl(in.readString());
    	setKey(in.readString());
    	setClient(in.readInt());
    	setUserId(in.readInt());
    	setUserName(in.readString());
    	setUserDesc(in.readString());     
    }
}
