/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que gestiona l'accs a dades (preferencies) Moodle
 */

package edu.manelherrera.pfc.dat;

import android.content.SharedPreferences;
import edu.manelherrera.pfc.cla.Prefs;

public class DBMgr {
	
	private SharedPreferences prefs;
	private static final String DEFAULT_SRV = "http://62.82.98.156/";
		
	public DBMgr(SharedPreferences prefs) {
		this.prefs = prefs;
	}
	
	/*
	 * Llegeix preferncies
	 */
	public Prefs readPrefs() {
		
		String server = prefs.getString("server", DEFAULT_SRV);
		
		return new Prefs(server);
	}
	
	/*
	 * Escriu preferncies
	 */
	public void writePrefs(Prefs settings) {
		
		SharedPreferences.Editor editor = prefs.edit();
					
		editor.putString("server", settings.getServer());
						
		editor.commit(); 
	}	
}
