/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que interacciona amb les preferncies
 */

package edu.manelherrera.pfc.pre;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.Toast;
import edu.manelherrera.pfc.bus.PrefsMgr;
import edu.manelherrera.pfc.cla.Prefs;

public class PrefsAct extends Activity implements OnClickListener {
	
	//Declaracions
	private EditText edit_srv;
	private ImageButton button_save;

	private SharedPreferences sharedPrefs;
	private PrefsMgr prefsMgr;

	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.prefs);
       
        //Inicialitzacions
        edit_srv = (EditText)findViewById(R.id.edit_srv);
        button_save = (ImageButton) findViewById(R.id.button_save);
        
        button_save.setOnClickListener(this);        
                      
        sharedPrefs = getSharedPreferences("moodlePrefs", MODE_PRIVATE);		
        
        prefsMgr = new PrefsMgr(sharedPrefs);
        Prefs prefs = prefsMgr.getPrefs();
       
        edit_srv.setText(prefs.getServer());
        
        edit_srv.requestFocus();
        
     	
    }
    
    /*
     * Salva preferencies
     */
    @Override
    public void onClick(View v) {
    	String server = edit_srv.getText().toString().trim();
						
		prefsMgr.writePrefs(new Prefs(server));
						
		Toast.makeText(this, getString(R.string.prefs_saved) , Toast.LENGTH_LONG).show();
		this.finish();

    }
}