/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que interacciona amb creaci d'usuaris
 */

package edu.manelherrera.pfc.pre;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.TextView;
import android.widget.Toast;
import edu.manelherrera.pfc.bus.UserMgr;
import edu.manelherrera.pfc.cla.Session;
import edu.manelherrera.pfc.cla.User;

public class UserCreateAct extends Activity implements OnClickListener{
	
	//Declaracions
	 private TextView label_usrDesc; 
	 private EditText edit_usr; 
	 private EditText edit_pwd; 
	 private EditText edit_name; 
	 private EditText edit_surname; 
	 private EditText edit_email; 
	 private ImageButton button_save;	
	 
	 private Session session;
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.user_create);
        
        //Inicialitzacions
        edit_usr = (EditText)findViewById(R.id.edit_usr); 
        edit_pwd = (EditText)findViewById(R.id.edit_pwd);
        edit_name = (EditText)findViewById(R.id.edit_name); 
        edit_surname = (EditText)findViewById(R.id.edit_surname); 
        edit_email = (EditText)findViewById(R.id.edit_email); 
        label_usrDesc = (TextView) findViewById(R.id.label_usrname);
        button_save = (ImageButton) findViewById(R.id.button_save);
      
        button_save.setOnClickListener(this);	
        
        Bundle b = getIntent().getExtras();
        session = (Session) b.getParcelable("session"); 
     
        label_usrDesc.setText(session.getUserDesc());
    }
    
    /*
     * Si es clica un bot
     */
    @Override
    public void onClick(View v) {
    	String usr = edit_usr.getText().toString().trim();
		String pwd = edit_pwd.getText().toString().trim();
		String fName = edit_name.getText().toString().trim();
		String lName = edit_surname.getText().toString().trim();
		String eMail = edit_email.getText().toString().trim();
		        
		User user = new User(usr, pwd, fName, lName, eMail);
		UserMgr userMgr = new UserMgr(session, this);
		String res = userMgr.createUser(user);
		if (res == null) {
			
			Toast.makeText(this, getString(R.string.user_created), Toast.LENGTH_LONG).show();
			cleanFields();
		} else {
			errMsg(res);
		}
	}
       
    /*
     * Mostra error
     */
    private void errMsg(String msg) {
    	AlertDialog.Builder alertbox = new AlertDialog.Builder(this);
		alertbox.setMessage(msg);
		alertbox.setNeutralButton(getString(R.string.ok), new DialogInterface.OnClickListener() {
			public void onClick(DialogInterface arg0, int arg1) {}
		});
		alertbox.show();
    }
    
    /*
     * Neteja camps
     */
    private void cleanFields(){
    	edit_usr.setText("");
        edit_pwd.setText("");
        edit_name.setText("");
        edit_surname.setText("");
        edit_email.setText("");
        edit_usr.requestFocus();
    }
}